Bug 28092 - Holds to pull needs to include reserve notes
Summary: Holds to pull needs to include reserve notes
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-05 22:36 UTC by Lucas Gass
Modified: 2021-04-07 14:38 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Add reserve notes column to Holds to Pull list
Version(s) released in:
21.05.00


Attachments
Bug 28092: Add reserve notes column to holds to pull (2.38 KB, patch)
2021-04-05 22:44 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28092: Add reserve notes column to holds to pull (2.44 KB, patch)
2021-04-06 12:22 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28092: Add reserve notes column to holds to pull (2.51 KB, patch)
2021-04-06 12:53 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 28092: Add reserve notes column to holds to pull (2.64 KB, patch)
2021-04-06 12:56 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-04-05 22:36:23 UTC
Holds to pull (pendingreserves.pl) does not currently include a column for reserve notes.
Comment 1 Lucas Gass 2021-04-05 22:44:31 UTC
Created attachment 119190 [details] [review]
Bug 28092: Add reserve notes column to holds to pull

To test:
-PLace a hold and add a reserve note to that hold
-Go to Circulation > Holds to pull
-Notice there is no reserve notes column
-Apply patch and restart all the things
-Reload the Holds to pull report and you should see a reserve notes column
-Go to table settings (/cgi-bin/koha/admin/columns_settings.pl) and make sure you can properly hide the column.
-Test other columns in the table and make sure you can properly hide them
Comment 2 Andrew Fuerste-Henry 2021-04-06 12:22:53 UTC
Created attachment 119210 [details] [review]
Bug 28092: Add reserve notes column to holds to pull

To test:
-PLace a hold and add a reserve note to that hold
-Go to Circulation > Holds to pull
-Notice there is no reserve notes column
-Apply patch and restart all the things
-Reload the Holds to pull report and you should see a reserve notes column
-Go to table settings (/cgi-bin/koha/admin/columns_settings.pl) and make sure you can properly hide the column.
-Test other columns in the table and make sure you can properly hide them

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Peter Vashchuk 2021-04-06 12:53:01 UTC
Created attachment 119212 [details] [review]
Bug 28092: Add reserve notes column to holds to pull

To test:
-PLace a hold and add a reserve note to that hold
-Go to Circulation > Holds to pull
-Notice there is no reserve notes column
-Apply patch and restart all the things
-Reload the Holds to pull report and you should see a reserve notes column
-Go to table settings (/cgi-bin/koha/admin/columns_settings.pl) and make sure you can properly hide the column.
-Test other columns in the table and make sure you can properly hide them

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Petro Vashchuk <stalkernoid@gmail.com>
Comment 4 Joonas Kylmälä 2021-04-06 12:56:58 UTC
Created attachment 119216 [details] [review]
Bug 28092: Add reserve notes column to holds to pull

To test:
-PLace a hold and add a reserve note to that hold
-Go to Circulation > Holds to pull
-Notice there is no reserve notes column
-Apply patch and restart all the things
-Reload the Holds to pull report and you should see a reserve notes column
-Go to table settings (/cgi-bin/koha/admin/columns_settings.pl) and make sure you can properly hide the column.
-Test other columns in the table and make sure you can properly hide them

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Petro Vashchuk <stalkernoid@gmail.com>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 5 Joonas Kylmälä 2021-04-06 12:59:44 UTC
I think this is actually enhancement, so changing the status and adding corresponding release notes.
Comment 6 Jonathan Druart 2021-04-07 14:38:51 UTC
Pushed to master for 21.05, thanks to everybody involved!